/**
 * 会员登录
 * @作者 苏相锟 <admin@phpok.com>
 * @版权 深圳市锟铻科技有限公司 / 苏相锟
 * @主页 https://www.phpok.com
 * @版本 2.x
 * @授权 GNU Lesser General Public License  https://www.phpok.com/lgpl.html
 * @时间 2020年8月13日
**/

//验证码
function login_code(appid)
{
	var src_url = api_url("vcode","","id="+appid);
	$("#src_code").attr("src",src_url);
}

//验证并登录
function admlogin()
{
	var username = $("#username").val();
	if(!username){
		$.dialog.alert("管理员账号不能为空",false,'error');
		return false;
	}
	//密码验证
	var pass = $("#password").val();
	if(!pass){
		$.dialog.alert("密码不能为空",false,'error');
		return false;
	}
	var url = get_url('login','check','user='+$.str.encode(username)+"&pass="+$.str.encode(pass));
	var vcode = $("#code_id").val();
	if(vcode){
		url += "&_code="+$.str.encode(vcode);
	}
	$.phpok.json(url,function(rs){
		if(rs && rs.status && rs.status != 'error'){
			$.dialog.tips('管理员登录成功').lock();
			$.phpok.go(get_url('index'));
			return true;
		}
		$.dialog.alert(rs.content);
		return false;
	});
	return false;
}

if (self.location != top.location){
	top.location = self.location;
}